SoShadowStyle(3)

NAME
SoShadowStyle - The SoShadowStyle class is a node for setting the shadow style on nodes.

SYNOPSIS

#include <Inventor/annex/FXViz/nodes/SoShadowStyle.h>

Inherits SoNode.

  Public Types
enum Style { NO_SHADOWING = SoShadowStyleElement::NO_SHADOWING, CASTS_SHADOW = SoShadowStyleElement::CASTS_SHADOW, SHADOWED = SoShadowStyleElement::SHADOWED, CASTS_SHADOW_AND_SHADOWED = SoShadowStyleElement::CASTS_SHADOW_AND_SHADOWED }

  Public Member Functions
virtual SoType getTypeId (void) const
SoShadowStyle (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFEnum style

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoShadowStyle ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoShadowStyle class is a node for setting the shadow style on nodes. FILE FORMAT/DEFAULTS:

ShadowStyle {
    style CASTS_SHADOW_AND_SHADOWED
}

Since
    Coin 2.5

Member Enumeration Documentation

  enum SoShadowStyle::Style
Enumerates the available style settings.

Enumerator

NO_SHADOWING
    Neither casts or receives shadows.

CASTS_SHADOW
    Casts shadow, but will no receive any shadows.

SHADOWED
    Receives shadows, but will not cast any shadow.

CASTS_SHADOW_AND_SHADOWED
    Will cast and receive shadows.

Constructor & Destructor Documentation

  SoShadowStyle::SoShadowStyle (void)
Constructor.

  SoShadowStyle::~SoShadowStyle () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShadowStyle::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShadowStyle::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoShadowStyle::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShadowStyle::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoShadowStyle::initClass (void) [static]

  void SoShadowStyle::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoShadowStyle::style
Set the current shadow style. Default value is CASTS_SHADOW_AND_SHADOWED.

Author

Generated automatically by Doxygen for Coin from the source code.